#!/bin/sh

set -e -u

cp -a examples graphene "${AUTOPKGTEST_TMP}"

for py3vers in $(py3versions -s); do
    echo
    echo "***************************"
    echo "*** Testing with ${py3vers}"
    echo "***************************"
    echo
    cd ${AUTOPKGTEST_TMP} && \
        echo "Content of current working folder:\n" && \
        ls -la && \
        echo "Running tests...\n" && \
        ${py3vers} -m pytest -sv && \
        rm -rf .pytest_cache || exit 1
done

echo

exit 0
